Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.egategui.projectfile
Class FileNode

    java.lang.Object
      java.beans.FeatureDescriptor
          org.openide.nodes.Node
              org.openide.nodes.AbstractNode
                  com.stc.egate.gui.projectexplorer.CAPSEEAbstractNode
                      com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode
                          com.stc.swift.egategui.projectfile.FileNode

All Implemented Interfaces:
  com.stc.egate.gui.projectexplorer.cookies.ProjectElementDeleteCookie, com.stc.egate.toolbus.toolAction.ToolNode, com.stc.model.common.RepositoryObjectNode, java.lang.Comparable, org.openide.nodes.Node.Cookie

    public class FileNode

extends com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode
implements com.stc.egate.gui.projectexplorer.cookies.ProjectElementDeleteCookie

This class provides a data node for an CME data object.

Version:
  $Revision: 1.10 $

Nested Class Summary

Nested classes/interfaces inherited from class com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode
`com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode.RepCopyAction, com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode.RepCutAction`

Nested classes/interfaces inherited from class org.openide.nodes.Node
`org.openide.nodes.Node.Cookie, org.openide.nodes.Node.Handle, org.openide.nodes.Node.IndexedProperty, org.openide.nodes.Node.Property, org.openide.nodes.Node.PropertySet`

Field Summary

Fields inherited from class com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode
`INVALID_CHARS_FILE_SYSTEM`

Fields inherited from class org.openide.nodes.Node
`EMPTY, PROP_COOKIE, PROP_DISPLAY_NAME, PROP_ICON, PROP_NAME, PROP_OPENED_ICON, PROP_PARENT_NODE, PROP_PROPERTY_SETS, PROP_SHORT_DESCRIPTION`

Constructor Summary
`FileNode(com.stc.model.common.ProjectElement data)` Constructor for the CME Data Node object

Method Summary
`boolean` | `canCopy()` To allow copy/paste from explorer tree
`boolean` | `canCut()` To allow drag-n-drop from explorer tree
`boolean` | `canDestroy()`
`boolean` | `canRename()`
`org.openide.util.actions.SystemAction[]` | `getActions()` Gets the actions attribute of the CMEDataNode object
`javax.swing.Action[]` | `getActions(boolean context)`
`java.awt.Image` | `getIcon(int type)` Gets the Icon to represent a module object.
`org.openide.util.actions.SystemAction` | `getPreferredAction()`
`com.stc.model.common.ProjectElement` | `getProjectElement()` Get the associated project element
`void` | `postDeleteProcessing()` ProjectElementDeleteCookie implementation to handle any processing after the delete occurs
`void` | `preDeleteProcessing()` ProjectElementDeleteCookie implementation to handle any processing before the delete occurs
`void` | `setProjectElement(com.stc.model.common.ProjectElement elem)` Set the associated project element

Methods inherited from class com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode
`clipboardCopy, clipboardCut, destroy, drag, fireACookieChange, fireAnIconChange, getCAPSPEDataNode, getCAPSPEDataObject, getCAPSPEDataObjectFile, getCAPSPEFileObject, getDisplayName, getRepositoryObject, hasSeeBeyondAsAncestor, hasVCAccess, isDuplicatedName, setDisplayName, setModified, setName, suppressWellKnownExtensions`

Methods inherited from class com.stc.egate.gui.projectexplorer.CAPSEEAbstractNode
`addToLookup, compareTo, getContextActions, isRepositoryConnected, putCookie`

Methods inherited from class org.openide.nodes.AbstractNode
`cloneNode, getCookie, getCustomizer, getDefaultAction, getDropType, getHandle, getHelpCtx, getNewTypes, getOpenedIcon, getPasteTypes, getPropertySets, hasCustomizer, setDefaultAction, setIconBase`

Methods inherited from class org.openide.nodes.Node
`addNodeListener, addPropertyChangeListener, getChildren, getContextMenu, getParentNode, isLeaf, removeNodeListener, removePropertyChangeListener, setShortDescription, toString`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setExpert, setHidden, setPreferred, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileNode

    public FileNode(com.stc.model.common.ProjectElement data)
             throws java.beans.IntrospectionException

  Constructor for the CME Data Node object

  Parameters:
    `data` - The CME data object
  Throws:
    `java.beans.IntrospectionException` - Thrown when ...

Method Detail

### getActions

    public org.openide.util.actions.SystemAction[] getActions()

  Gets the actions attribute of the CMEDataNode object

  Overrides:
    `getActions` in class `com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode`
  Returns:
    The acceptable actions

### getActions

    public javax.swing.Action[] getActions(boolean context)

  Overrides:
    `getActions` in class `com.stc.egate.gui.projectexplorer.CAPSEEAbstractNode`
  See Also:
    `org.openide.nodes.Node#getActions(boolean)`

### getIcon

    public java.awt.Image getIcon(int type)

  Gets the Icon to represent a module object.

  Overrides:
    `getIcon` in class `org.openide.nodes.AbstractNode`
  Parameters:
    `type` - The type of Icon to get.
  Returns:
    The icon for a module in the Repository explorer.

### getPreferredAction

    public org.openide.util.actions.SystemAction getPreferredAction()

  See Also:
    `org.openide.nodes.AbstractNode#getPreferredAction()`

### canCut

    public boolean canCut()

  To allow drag-n-drop from explorer tree

  Overrides:
    `canCut` in class `com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode`
  Returns:
    true to allow dnd from the explorer tree

### canCopy

    public boolean canCopy()

  To allow copy/paste from explorer tree

  Overrides:
    `canCopy` in class `com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode`
  Returns:
    true to allow copy from the explorer tree

### canDestroy

    public boolean canDestroy()

  Overrides:
    `canDestroy` in class `com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode`
  See Also:
    `ProjectTreeAbstractNode.canDestroy()`

### canRename

    public boolean canRename()

  Overrides:
    `canRename` in class `com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode`
  See Also:
    `ProjectTreeAbstractNode.canRename()`

### setProjectElement

    public void setProjectElement(com.stc.model.common.ProjectElement elem)

  Set the associated project element

  Overrides:
    `setProjectElement` in class `com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode`
  Parameters:
    `elem` - the project element

### getProjectElement

    public com.stc.model.common.ProjectElement getProjectElement()

  Get the associated project element

  Specified by:
    `getProjectElement` in interface `com.stc.egate.toolbus.toolAction.ToolNode`
  Overrides:
    `getProjectElement` in class `com.stc.egate.toolbus.toolAction.ProjectTreeAbstractNode`
  Returns:
    the associated project element

### preDeleteProcessing

    public void preDeleteProcessing()

  ProjectElementDeleteCookie implementation to handle any processing before the delete occurs

  Specified by:
    `preDeleteProcessing` in interface `com.stc.egate.gui.projectexplorer.cookies.ProjectElementDeleteCookie`

### postDeleteProcessing

    public void postDeleteProcessing()

  ProjectElementDeleteCookie implementation to handle any processing after the delete occurs

  Specified by:
    `postDeleteProcessing` in interface `com.stc.egate.gui.projectexplorer.cookies.ProjectElementDeleteCookie`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.